HFST-PMATCH(1)

NAME
hfst-pmatch - =perform matching/lookup on text streams

SYNOPSIS
hfst-pmatch [OPTIONS...] TRANSDUCER

DESCRIPTION
perform matching/lookup on text streams

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

-n  --newline
    Newline as input separator (default is blank line)

-x  --extract-patterns
    Only print tagged parts in output

-l  --locate
    Only print locations of matches

-c  --count-patterns
    Print the total number of matches when done

--delete-patterns
    Replace matches with opening tags

--no-mark-patterns
    Don't tag matched patterns

--max-context
    Upper limit to context length allowed

--max-recursion
    Upper limit for recursion

--weight-cutoff=W
    Upper limit for allowed weight

-t, --time-cutoff=S
    Limit search after having used S seconds per input

-p  --profile
    Produce profiling data

Use standard streams for input and output.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-pmatch home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstPmatch>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.